Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## OOXMLconvert
Class CSSoutput

    java.lang.Object
      OOXMLconvert.CSSoutput

    public class CSSoutput

extends java.lang.Object

Field Summary
`private java.util.LinkedHashMap<java.lang.String,java.lang.String>` | `classes` zoznam tried a k nim prislúchajúce štýly

Constructor Summary
`CSSoutput()` Konštruktor

Method Summary
`void` | `addClass(java.lang.String className, java.lang.String CSStext)` Funkcia pridá triedu do CSS zoznamu, ale zaručí neduplicitu.
`void` | `addClass(java.lang.String prefix, java.lang.String className, java.lang.String suffix, java.lang.String CSStext)` Funkcia pridá triedu do CSS zoznamu, ale zaručí neduplicitu.
`java.lang.String` | `addClassN(java.lang.String classNamePrefix, java.lang.String CSStext)` Funkcia pridá triedu s dopredu neznámym menom do CSS zoznamu.
`java.lang.String` | `addClassN(java.lang.String prefix, java.lang.String classNamePrefix, java.lang.String suffix, java.lang.String CSStext)` Funkcia pridá triedu s dopredu neznámym menom do CSS zoznamu.
`private java.lang.String` | `findClass(java.lang.String CSStextF)` Funkcia hľadá, či už daný CSS štýl(y) nie je v zozname štýlov
`boolean` | `writeCSStoFile(java.io.File outputCSS)` Funkcia zapíše CSS do určeného súboru

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### classes

    private java.util.LinkedHashMap<java.lang.String,java.lang.String> classes

  zoznam tried a k nim prislúchajúce štýly

Constructor Detail

### CSSoutput

    public CSSoutput()

  Konštruktor

Method Detail

### addClass

    public void addClass(java.lang.String className,
                         java.lang.String CSStext)

  Funkcia pridá triedu do CSS zoznamu, ale zaručí neduplicitu.

  Parameters:
    `className` - meno triedy
    `CSStext` - text CSS štýlov

### addClass

    public void addClass(java.lang.String prefix,
                         java.lang.String className,
                         java.lang.String suffix,
                         java.lang.String CSStext)

  Funkcia pridá triedu do CSS zoznamu, ale zaručí neduplicitu.

  Parameters:
    `className` - meno triedy
    `CSStext` - text CSS štýlov

### findClass

    private java.lang.String findClass(java.lang.String CSStextF)

  Funkcia hľadá, či už daný CSS štýl(y) nie je v zozname štýlov

  Parameters:
    `CSStextF` - text CSS štýlu
  Returns:
    null ak nenájde zodpovedajúci štýl, inak meno triedy, v ktorej je hľadaný CSS štýl

### addClassN

    public java.lang.String addClassN(java.lang.String classNamePrefix,
                                      java.lang.String CSStext)

  Funkcia pridá triedu s dopredu neznámym menom do CSS zoznamu. Zaručí neduplicitu kľúča aj obsahu.

  Parameters:
    `CSStext` - text CSS štýlov
  Returns:
    String názov vygenerovanej triedy

### addClassN

    public java.lang.String addClassN(java.lang.String prefix,
                                      java.lang.String classNamePrefix,
                                      java.lang.String suffix,
                                      java.lang.String CSStext)

  Funkcia pridá triedu s dopredu neznámym menom do CSS zoznamu. Zaručí neduplicitu kľúča aj obsahu.

  Parameters:
    `prefix` - prefix pred názvom classy
    `classNamePrefix` - prefix názvu classy
    `suffix` - suffix za názvom classy
    `CSStext` - text CSS štýlov
  Returns:
    String názov vygenerovanej triedy

### writeCSStoFile

    public boolean writeCSStoFile(java.io.File outputCSS)

  Funkcia zapíše CSS do určeného súboru

  Parameters:
    `outputCSS` - súbor, do ktorého sa má zapísať CSS
  Returns:
    true ak nenastane chyba, false inak

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD